Bug 87840 - bsd.port.subdir.mk improving(make search)
bsd.port.subdir.mk improving(make search)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 13:30 UTC by tarc.po.cs.msu.su
Modified: 2006-01-21 19:54 UTC (History)
0 users

See Also:


Attachments
file.diff (859 bytes, patch)
2005-10-22 13:30 UTC, tarc.po.cs.msu.su
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tarc.po.cs.msu.su 2005-10-22 13:30:16 UTC
	All variables except `display' has opposite. There patch for add `xdisplay'.

How-To-Repeat: 	Update Mk/bsd.port.subdir.mk up to version 1.59 and see it.
Comment 1 Erwin Lansing freebsd_committer 2005-10-23 00:22:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Portmgr territory 

http://www.freebsd.org/cgi/query-pr.cgi?pr=87840 

Adding to audit trail by mcl:

I was unable to get the patch above to apply to the current file.  Here
is a corrected patch that seems to work for me:

--- /home/pcvs/ports/Mk/bsd.port.subdir.mk	Tue Nov  8 11:34:38 2005
+++ ./bsd.port.subdir.mk	Sat Dec 10 23:58:28 2005
@@ -366,6 +366,7 @@
  -v keylim="$${keylim:-${PORTSEARCH_KEYLIM}}" \
  -v xkeylim="$${xkeylim:-${PORTSEARCH_XKEYLIM}}" \
  -v display="$${display:-${PORTSEARCH_DISPLAY_FIELDS}}" \
+	    -v xdisplay="$$xdisplay" \
 	'BEGIN { \
         gsub(/\+/,"\\+",name); \
  if (substr(there, 1, length(top)) == top) \
@@ -407,6 +408,10 @@
  split(display, d, /,[ \t]*/); \
  for (i in d) { \
    disp[fields[d[i]]] = 1; \
+	    } \
+	    split(xdisplay, xd, /,[ \t]*/); \
+	    for (i in xd) { \
+	      delete disp[fields[xd[i]]]; \
  } \
} \
{ \
Comment 2 Mark Linimon freebsd_committer 2005-12-19 01:27:12 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 Mark Linimon freebsd_committer 2006-01-21 19:54:16 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.